Using plugin with netty-tcnative-boringssl-static

Hi,

Is this possible? Or does the standard dynamic tcnative have to be used?

The plugin throws NoClassDefFoundError for io.netty.handler.ssl.OpenSsl when netty-tcnative-boringssl-static is in the classpath. I’m getting this error from the OpenDistro plugin run method. Using transport client (I know). In my resolved dependencies list, I have netty-all 4.1.32.Final, netty-tcnative-boringssl-static 2.0.14.Final, opendistro_security_ssl 0.8.0.0. Elasticsearch deps are all 6.6.2 including transport and transport-netty4-client.

Thanks.